package com.yh.saas.plugin.news.service;


import com.yh.saas.plugin.news.entity.AnnoTypeInfo;

import java.util.List;

/**
 * <p>
 * 公告类型 服务类
 * </p>
 *
 * @Auther ZhangMingYu
 * @since 2019年8月13日13:37:14
 */
public interface INewsAnnoTypeInfoService {

    /**
     * 获取 公告类型 List
     *
     * @return 公告类型集合
     */
    List<AnnoTypeInfo> queryList(AnnoTypeInfo annoTypeInfo);

    /**
     * 增加 公告类型
     *
     * @param annoTypeInfo 公告类型信息
     * @return 是否成功
     */
    boolean create(AnnoTypeInfo annoTypeInfo);

    /**
     * 修改 公告类型(可改变顺序)
     *
     * @param annoTypeInfos 公告类型(前端排序)后的结果
     */
    void change(List<AnnoTypeInfo> annoTypeInfos);

    /**
     * 删除 公告类型
     *
     * @param annoTypeInfo 公告类型
     */
    void remove(AnnoTypeInfo annoTypeInfo);
}
